Subject: bug#23292: 24.5; Combining characters do not reliably combine

From: Alexis <[email-masked]>
Date: Tue, 17 May 2016 14:40:01 +1000

handa <[email-masked]> writes:

> I tried to display "o\x0337" by "dejavu sans mono" font and saw 
> no problem.  I also tried "Inconsolata-g" font and found 
> "\x0337" was not displayed by that font.   But, this is simply 
> because the font doesn't have a glyph for "\x0337".
>
> I downloaded "Inconsolata-g" font from 
> http://www.fantascienza.net/leonardo/ar/inconsolatag/inconsolata-g_font.zip. 
> Are we using the same font?

i believe so.

Running fc-query(1) on the TTF version in my ~/.fonts folder:

    $ fc-query ~/.fonts/ttf/Inconsolata-g.ttf | grep -E 
    'version|hash'  fontversion: 66191(i)(s) hash: 
    "sha256:6847a2f48296546984ea60c37cc34749375857d137a01a574566d9c73d13e908"(s)

Running fc-query(1) on the TTF version from the above URL:

    $ fc-query ./Inconsolata-g.ttf | grep -E 'version|hash' 
    fontversion: 66191(i)(s) hash: 
    "sha256:6847a2f48296546984ea60c37cc34749375857d137a01a574566d9c73d13e908"(s)